#
#
#  Copyright (c) 2003 Andrew W. Speer <andrew.speer@isolutions.com.au>. All rights 
#  reserved.
#
#  This file is part of WebMod::Log.
#
#  WebMod::Log is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
#  $Id: Log_Null.pm,v 1.3 2004/03/12 02:35:05 aspeer Exp $

#
#  Log messages to nowhere
#
package WebMod::Log::Null;


#  Compiler pragma
#
use strict 	qw(vars);
use vars 	qw($VERSION $REVISION $PACKAGE);


#  Version Info, must be all one line for MakeMaker, CPAN.
#
$VERSION = eval { require WebMod::Log::VERSION; do $INC{'WebMod/Log/VERSION.pm'}};


#  Release info
#
$REVISION = (qw $Revision: 1.3 $)[1];


#  Package
#
$PACKAGE=__PACKAGE__;


#  All done, return OK
#
return 1;


#============================================================================


sub new {


    #  Start a new object
    #
    my ($class, $self)=@_;
    return bless (\$self , $class);


}


sub write {


    #  Done
    #
    return 1;

}


sub close {


    #  Done
    #
    return 1;

}


sub DESTROY {

    1;
    
    
}
